<?php
///////////////////////////////////////////////
//                @lex Guestbook             //
//      by Soulard Alexis (c) 2002 - 2005    //
//         http://www.alexphpteam.com/       //
//             all right reserved            //
///////////////////////////////////////////////

error_reporting(0);
DEFINE("AGUEST", true);
$chem_absolu = "./";

//----------------------- fichiers  inclure
include($chem_absolu."config/extension.inc");
include($chem_absolu."config/config.".$alex_livre_ext);
include($chem_absolu."include/livre_include.".$alex_livre_ext);

//----------------------- remplacement dans le query_string
$tab_var_replace = array(
	1 => "no_ip",
	"time_erreur",
	"ok_post",
	"seeMess",
	"seeNotes",
	"seeAdd"
);

for ($i = 1; $i <= count($tab_var_replace); $i++){
	$_SERVER['QUERY_STRING'] = eregi_replace($tab_var_replace[$i]."([^&]*)", "", $_SERVER['QUERY_STRING']);
}

while (strpos($_SERVER['QUERY_STRING'], "&&")){
	$_SERVER['QUERY_STRING'] = str_replace("&&", "&", $_SERVER['QUERY_STRING']);
}

// pas de html autoris dans le message
$messagePost = strip_tags($_POST['message_textarea']);

// si un nombre maxi de caractres a t dfini dans les options
if ($maxi_car > 0)
	$messagePost = substr($messagePost, 0, $maxi_car-1);

$messagePost = htmlspecialchars($messagePost);

//----------------------- url de la page  re-charger
$pageToGoAfterPost = $url_recharger."?".$_SERVER['QUERY_STRING'];

//----------------------- on s'assure de la validit des notes
if (isset($_POST['note_site']) && $_POST['note_site'] > 10)
	$_POST['note_site'] = 10;
else if (isset($_POST['note_site']) && $_POST['note_site'] < 0)
	$_POST['note_site'] = 0;

//----------------------- on vrifie si l'ip n'est pas bannie
$ip_visiteur = $_SERVER['REMOTE_ADDR'];
recup_ip_bannies();

$ip_bannie = false;
for ($i = 1; $i <= $nbre_ip; $i++){
	if (ip_bannie($table_ip_bannies[$i], $ip_visiteur)){
		$f_db_connexion -> sql_close();
		$ip_bannie = true;
		header("Location: ".$pageToGoAfterPost."&no_ip=1");
		exit();
	}
}

//----------------------- on vrifie si l'utilisateur n'a pas dj post un message trop rcemment
$message_trop_recent = false;
if (count_messages_recent($ip_visiteur) > 0){
	$message_trop_recent = true;
	$f_db_connexion -> sql_close();
	header("Location: ".$pageToGoAfterPost."&time_erreur=1");
	exit();
}

//----------------------- on vrifie si ncessaire le code de scurit
if ($admin_add_code_securite){
	$sql = "SELECT valeur FROM `".$name_table['alex_img_verif_add'] ."` WHERE numero='".$_POST['num_id']."'";
	$result = $f_db_connexion -> sql_query($sql);
	$num_valeur = $f_db_connexion -> sql_fetchrow($result);

	// si le code de scurit est incorrect => retour  la zone de saisie
	if ($num_valeur[0] != strtoupper($_POST['code_securite'])){
		// sauvegarde des infos saisies par l'utilisateur
		$sql = "UPDATE `".$name_table['alex_img_verif_add'] ."` SET `nom`='".htmlspecialchars($_POST['nom'])."', `email`='".htmlspecialchars(@$_POST['email'])."', `site`='".htmlspecialchars(@$_POST['site'])."', `ville_pays`='".htmlspecialchars($_POST['ville_pays'])."', `note`='".@$_POST['note_site']."', `message`='".$messagePost."' WHERE numero='".$_POST['num_id']."'";
		$f_db_connexion -> sql_query($sql);

		// redirection vers la page du formulaire
		header("Location: ".$pageToGoAfterPost."&seeMess=1&seeNotes=1&seeAdd=0&code_erreur=".$_POST['num_id']);
		exit();
	}
}

//----------------------- l'utilisateur est autoris  poster, on enregistre le message
if (trim($_POST['nom']) && trim($_POST['message_textarea']) && !$ip_bannie && !$message_trop_recent){
	// le livre ncessite-t-il une validation avant le post dfinitif ?
	if ($admin_valide_messages)
		$valid = "no";
	else
		$valid = "yes";

	$query = "INSERT INTO ".$name_table['alex_livre_messages']." (nom, email, site, ville_pays, note, message, time, ip, valid) VALUES ('".htmlspecialchars($_POST['nom'])."', '".htmlspecialchars(@$_POST['email'])."', '".htmlspecialchars(@$_POST['site'])."', '".htmlspecialchars($_POST['ville_pays'])."', '".@$_POST['note_site']."', '".$messagePost."', '".time()."', '".$ip_visiteur."', '".$valid."')";
	$result = $f_db_connexion -> sql_query($query);

	//----------------------- on recherche tous les admins qui doivent tre prvenus
	recup_admins("id_user, email, receive_email", "WHERE receive_email='1'");

	/* contenu du message */
	if (isset($_POST['email']) && verifMailSyntaxe($_POST['email']))
		$from_email  = $_POST['email'];
	else
		$from_email  = "guestbookInfo@alexphpteam.com";

	$entetedate  = date("D, j M Y H:i:s");
	$entetemail  = "From: $from_email \n";
	$entetemail .= "Reply-To: $from_email \n";

	$chaine_message .= $f_lang['nom_pseudo_visiteur']." : ".htmlspecialchars(stripslashes($_POST['nom']))."\n";
	if ($ok_mail)
		$chaine_message .= $f_lang['email_visiteur']." : ".$_POST['email']."\n";
	if ($ok_url)
		$chaine_message .= $f_lang['site_web_visiteur']." : ".$_POST['site']."\n";
	if ($ok_pays)
		$chaine_message .= $f_lang['ville_pays_visiteur']." : ".$_POST['ville_pays']."\n";
	if ($ok_note)
		$chaine_message .= $f_lang['note_visiteur']." : ".$_POST['note_site']."\n";
	$chaine_message .= $f_lang['message_visiteur']." : ".strip_tags(stripslashes($_POST['message_textarea']))."\n";

	/* on envoit le message */
	if ($send_mail){
		for ($i = 1; $i <= $nbre_admins; $i++){
			if ($table_receive_email[$i])
				envoyer_mail($table_email[$i], $f_lang['mail_object'], $f_lang['mail_message'].$chaine_message."\nIP : ".$_SERVER['REMOTE_ADDR']."\n-------------------------------------------\n\npowered by @lex Guestbook ".$alex_livre_version." - http://www.alexphpteam.com/", $entetemail);
		}
	}
}
else {
	header("Location: ".$pageToGoAfterPost);
	exit();
}

/* fermeture de la connexion */
$f_db_connexion -> sql_close();

/* redirection */
header("Location: ".$pageToGoAfterPost."&ok_post=1");
exit();
?>