CREATE TABLE `<table_censure>` (
  `id_mot` mediumint(11) unsigned NOT NULL auto_increment,
  `texte_censure` varchar(255) NOT NULL default '',
  `texte_remplace` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id_mot`)
) TYPE=MyISAM;
# --------------------------------------------------------

CREATE TABLE `<table_ip>` (
  `id_ip` mediumint(11) unsigned NOT NULL auto_increment,
  `ip` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`id_ip`)
) TYPE=MyISAM;
# --------------------------------------------------------

CREATE TABLE `<table_messages>` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(40) NOT NULL default '',
  `email` varchar(150) NOT NULL default '',
  `site` varchar(150) NOT NULL default '',
  `ville_pays` varchar(60) NOT NULL default '',
  `note` char(2) default NULL,
  `message` text NOT NULL,
  `time` int(11) NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `valid` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`),
  KEY `time` (`time`),
  FULLTEXT KEY `message` (`message`)
) TYPE=MyISAM;
# --------------------------------------------------------

CREATE TABLE `<table_sessions>` (
  `session` varchar(70) NOT NULL default '',
  `id_user` mediumint(11) unsigned NOT NULL default '0',
  `login` varchar(20) NOT NULL default '',
  `last_connect` int(50) NOT NULL default '0',
  KEY `session` (`session`)
) TYPE=MyISAM;
# --------------------------------------------------------

CREATE TABLE `<table_smileys>` (
  `id_smiley` mediumint(11) unsigned NOT NULL auto_increment,
  `smiley` varchar(255) NOT NULL default '',
  `car_replace` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id_smiley`)
) TYPE=MyISAM;

INSERT INTO `<table_smileys>` VALUES (1, 'smile.gif', ':)');
INSERT INTO `<table_smileys>` VALUES (2, 'biggrin.gif', ':-D');
INSERT INTO `<table_smileys>` VALUES (3, 'confused.gif', ':?');
INSERT INTO `<table_smileys>` VALUES (4, 'cool.gif', '8)');
INSERT INTO `<table_smileys>` VALUES (5, 'cry.gif', ':cry:');
INSERT INTO `<table_smileys>` VALUES (6, 'eek.gif', ':shock:');
INSERT INTO `<table_smileys>` VALUES (7, 'love.gif', ':V)');
INSERT INTO `<table_smileys>` VALUES (8, 'mad.gif', ':x');
INSERT INTO `<table_smileys>` VALUES (9, 'lol.gif', ':lol:');
INSERT INTO `<table_smileys>` VALUES (10, 'surprised.gif', ':o');
INSERT INTO `<table_smileys>` VALUES (11, 'wink.gif', ':;');
INSERT INTO `<table_smileys>` VALUES (12, 'ooops.gif', ':oops:');
INSERT INTO `<table_smileys>` VALUES (13, 'twisted.gif', ':twisted:');
INSERT INTO `<table_smileys>` VALUES (14, 'evil.gif', ':evil:');
INSERT INTO `<table_smileys>` VALUES (15, 'furious.gif', ':GG');
INSERT INTO `<table_smileys>` VALUES (16, 'mdr.gif', ':mdr:');
INSERT INTO `<table_smileys>` VALUES (17, 'cheer.gif', ':-)X');
INSERT INTO `<table_smileys>` VALUES (18, 'acllamer.gif', ':-//');
INSERT INTO `<table_smileys>` VALUES (19, 'crasy.gif', '%-)');
# --------------------------------------------------------

CREATE TABLE `<table_users>` (
  `id_user` mediumint(11) unsigned NOT NULL auto_increment,
  `login` varchar(20) NOT NULL default '',
  `pass` varchar(10) binary NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `receive_email` tinyint(1) NOT NULL default '0',
  `modif_options` tinyint(1) NOT NULL default '0',
  `gestion_skins` tinyint(1) NOT NULL default '0',
  `gestion_messages` tinyint(1) NOT NULL default '0',
  `gestion_censure` tinyint(1) NOT NULL default '0',
  `gestion_ip` tinyint(1) NOT NULL default '0',
  `gestion_smileys` tinyint(1) NOT NULL default '0',
  `gestion_admin` tinyint(1) NOT NULL default '0',
  `nb_mess_page` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id_user`),
  KEY `login` (`login`),
  KEY `pass` (`pass`)
) TYPE=MyISAM;

INSERT INTO <table_users> VALUES (1, '<login_admin>', '<pass_admin>', '<email_admin>', 1, 1, 1, 1, 1, 1, 1, 1, 15);
# --------------------------------------------------------

CREATE TABLE `<table_img_verif_add>` (
  `numero` varchar(10) NOT NULL default '',
  `time` int(10) unsigned NOT NULL default '0',
  `valeur` varchar(5) NOT NULL default '',
  `nom` varchar(40) NOT NULL default '',
  `email` varchar(150) NOT NULL default '',
  `site` varchar(150) NOT NULL default '',
  `ville_pays` varchar(60) NOT NULL default '',
  `note` char(2) NOT NULL default '',
  `message` text NOT NULL,
  KEY `time` (`time`),
  KEY `numero` (`numero`)
) TYPE=MyISAM;